Metafunction
CompareType
Type to convert other types for comparisons.
CompareType<T1, T2>::Type
Include Headers
seqan/basic.h
Parameters

T1 | Type of the left operand of a comparison.
T2 | Type of the right operand of a comparison.

Remarks
Comparisons are for example operators like == or <.
Do not implement, implement CompareTypeImpl instead.
Note that there is no rule that guarantees that CompareType<T1, T2>::Type is the same as CompareType<T2, T1>::Type. It is also possible, that only one of these two types is defined.
This metafunction is used for the implementation of comparisons that involve SimpleType.
See Also
CompareTypeImpl
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59